| Qore XdbcFirebirdSqlUtilBase Module Reference 0.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XdbcFirebirdSqlUtilBase::XdbcFirebirdPrimaryKey Class Reference

represents a Firebird-specific primary key constraint More...

## Public Member Functions
XdbcFirebirdColumn | memberGate (string k)
| returns the column value of the given key if it exists, otherwise throws a `KEY-ERROR` exception
bool | supportsName ()
| returns False since primary key constraints in Firebird have no name

## Detailed Description

represents a Firebird-specific primary key constraint

## Member Function Documentation

## ◆ memberGate()

XdbcFirebirdColumn XdbcFirebirdSqlUtilBase::XdbcFirebirdPrimaryKey::memberGate | ( | string | k | ) |

returns the column value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  auto v = c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See also
  memberGate() Method